Package ghidra.rmi.trace

# Class TraceRmi.FilePath.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<TraceRmi.FilePath.Builder>
com.google.protobuf.GeneratedMessage.Builder<TraceRmi.FilePath.Builder>
ghidra.rmi.trace.TraceRmi.FilePath.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.FilePathOrBuilder`, `Cloneable`

Enclosing class:
  `TraceRmi.FilePath`

public static final class TraceRmi.FilePath.Builder extends com.google.protobuf.GeneratedMessage.Builder<TraceRmi.FilePath.Builder> implements TraceRmi.FilePathOrBuilder
Protobuf type `ghidra.rmi.trace.FilePath`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.FilePath`
  `build()`
  `TraceRmi.FilePath`
  `buildPartial()`
  `TraceRmi.FilePath.Builder`
  `clear()`
  `TraceRmi.FilePath.Builder`
  `clearPath()`
  `string path = 1;`
  `TraceRmi.FilePath`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `String`
  `getPath()`
  `string path = 1;`
  `com.google.protobuf.ByteString`
  `getPathBytes()`
  `string path = 1;`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `TraceRmi.FilePath.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `TraceRmi.FilePath.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `TraceRmi.FilePath.Builder`
  `mergeFrom(TraceRmi.FilePath other)`
  `TraceRmi.FilePath.Builder`
  `setPath(String value)`
  `string path = 1;`
  `TraceRmi.FilePath.Builder`
  `setPathBytes(com.google.protobuf.ByteString value)`
  `string path = 1;`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

  `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.FilePath.Builder>`

  - ### clear

    public TraceRmi.FilePath.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.FilePath.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.FilePath.Builder>`

  - ### getDefaultInstanceForType

    public TraceRmi.FilePath getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public TraceRmi.FilePath build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public TraceRmi.FilePath buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### mergeFrom

    public TraceRmi.FilePath.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.FilePath.Builder>`

  - ### mergeFrom

    public TraceRmi.FilePath.Builder mergeFrom(TraceRmi.FilePath other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.FilePath.Builder>`

  - ### mergeFrom

    public TraceRmi.FilePath.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.FilePath.Builder>`
    Throws:
      `IOException`

  - ### getPath

    public String getPath()
    `string path = 1;`
    Specified by:
      `getPath` in interface `TraceRmi.FilePathOrBuilder`
    Returns:
      The path.

  - ### getPathBytes

    public com.google.protobuf.ByteString getPathBytes()
    `string path = 1;`
    Specified by:
      `getPathBytes` in interface `TraceRmi.FilePathOrBuilder`
    Returns:
      The bytes for path.

  - ### setPath

    public TraceRmi.FilePath.Builder setPath(String value)
    `string path = 1;`
    Parameters:
      `value` - The path to set.
    Returns:
      This builder for chaining.

  - ### clearPath

    public TraceRmi.FilePath.Builder clearPath()
    `string path = 1;`
    Returns:
      This builder for chaining.

  - ### setPathBytes

    public TraceRmi.FilePath.Builder setPathBytes(com.google.protobuf.ByteString value)
    `string path = 1;`
    Parameters:
      `value` - The bytes for path to set.
    Returns:
      This builder for chaining.